$ontext

$offtext

*       Level parameters:
parameter
    l_u         Utility
    l_lsrd      Leisure
    l_c         Consumption
    l_inv       Investment
    l_gov       Government expenditures
    l_exp       Export
    l_imp       Import
    l_gdp       Real GDP
    l_exp_c     Export by commodity
    l_imp_c     Import by commodity
    l_nexp_c    Net export by commodity
    l_ls        Labor supply
    l_pco2      "Permit price ($/tCO2)"
    l_pco2_     "Permit price ($/tCO2) deflated by a common price index"
    l_vgdp      Nominal GDP
    l_pgdp      GDP deflator
    l_y         Output
    l_va_s      VA by sector
    l_ld        Labor demand by sector
    l_kd        Capital demand by sector
    l_pl        Wage rate
    l_plh       Wage rate for HH
    l_rk        Rental price
    l_pym       Output price (market price)
    l_pya       Output price (producer price)
    l_labtax    Labor tax rate (%)
    l_vperm     Value of emission permit
    l_vpermn    Value of net permit revenue
    l_lumpgf    Value of lumpgf
    l_lumpoba   Value of lumpoba
    l_vpermhh   Value of emission permit purchased by household
    l_z         Output subsidy rate in OBA scenario (%)
    l_labinc    Labor income
    l_inc       Household incom
    l_pene_ex   Energy price (excl. permit payment)
    l_pene_in   Energy price (incl. permit payment)
    l_pc_num    PC in numeraire region
    l_tot       TOT
    l_ex_v      Value of export
    l_im_v      Value of import
    l_ex_sh     Share of export
    l_im_sh     Share of import
    l_exp_      Export (excl. export to own regions)
    l_imp_      Import (excl. import from own regions)
    l_ur        Unemployment rate (%)
    l_ur_       Unemployment rate (%)
;
parameter
    l_co2       CO2 emissions (MtCO2)
    l_co2_so    CO2 emissions by source (MtCO2)
    l_co2_use   CO2 emissions by use (MtCO2)
    l_co2_t     Total CO2 emissions (MtCO2)
    l_co2_leak          Leakage
    l_co2_leak_sec      Leakage
    l_co2_leak_reg      Leakage
    l_leak_rate         Leakage rate (%)
    l_leak_rate_reg     Leakage rate by region (%)
    l_ptrade    Net import of emissions permit (MtCO2)
    l_vptrade   Vlue of net import of emissions permit
    l_trb       Trade balance
    l_trb_      Trade balance including permit trade
;
parameter
    l_vlabt     Value of labor tax
    l_vlumpt    Value of lumpsum tax
    l_votht     Value of other tax
    l_vtax      Value of total tax
    l_vgov      Value of government expenditure
;
parameter
    d_co2               Change in CO2 emissions (MtCO2)
    d_co2_leak
    d_nexp_c            Change in net export by commodity
    d_co2_leak_sec      Carbon leakage by sector
    d_co2_leak_reg      Carbon leakage by region

    d_y                 Output
    d_co2_use           CO2 emissions by use (MtCO2)
;
*       Parameters of % change:
parameter
    pc_u        Utility
    pc_lsrd     Leisure
    pc_c        Consumption
    pc_inv      Investment
    pc_gov      Government expenditures
    pc_exp      Export
    pc_imp      Import
    pc_gdp      Real GDP
    pc_exp_c    Export by commodity
    pc_imp_c    Import by commodity
    pc_nexp_c   Net export by commodity
    pc_vgdp     Nominal GDP
    pc_pgdp     GDP deflator
    pc_ls       Labor supply
    pc_y        Output
    pc_va_s     VA by sector
    pc_ld       Labor demand by sector
    pc_kd       Capital demand by sector
    pc_pl       Wage rate
    pc_plh      Wage rate for HH
    pc_rk       Rental price
    pc_pym      Output price (market price)
    pc_pya      Output price (producer price)
    pc_labinc   Labor income
    pc_inc      Household incom
    pc_pene_ex  Energy price (excl. permit payment)
    pc_pene_in  Energy price (incl. permit payment)
    d_nexp_c_jpn        Net export by commodity in Japan
    pc_y_jpn            Output in Japan
    pc_ld_jpn           Labor demand by sector in Japan
    pc_co2_use_jpn      CO2 emissions by use in Japan
    l_cap_jpn
    pc_tot              TOT
;
parameter
    pc_co2      CO2 emissions
    pc_co2_so   CO2 emissions by source
    pc_co2_use  CO2 emissions by use
    pc_co2_t    Total CO2 emissions
;
parameter
    r_bench             Summary for the benchmark data
    r_bench_co2         Summary for the benchmark data
    r_bench_co2_        "Summary for the benchmark data (elec allocated)"
    r_bench_co2_int     "Summary for the benchmark data (tCO2/mil$)"
    r_bench_co2_int_    "Summary for the benchmark data (tCO2/mil$) (elec allocated)"
    r_summary           Report summary
    r_summary_all       Report summary for all regions
    r_summary_jpn       Report summary for JPN
    r_summary_chn       Report summary for CHN
    r_summary_eur       Report summary for EUR
    r_summary_usa       Report summary for USA
;
parameter
    chk_objval
;
parameter
    chk_hhinc
    chk_pchhinc
;

* --------------------
* local variables:
* mode: gams
* fill-column: 80
* end:
